Loading...
Searching...
No Matches
BALL::VIEW::PluginModel Class Reference

`#include <BALL/VIEW/DIALOGS/pluginDialog.h>`

Inheritance diagram for BALL::VIEW::PluginModel:

## Public Member Functions

| PluginModel (QObject *parent=0)
int | rowCount (const QModelIndex &=QModelIndex()) const
QVariant | data (const QModelIndex &i, int role) const
void | pluginsLoaded ()

## Detailed Description

A wrapper around the plugin manager that provides a model on the currently loaded plugins

Definition at line 33 of file pluginDialog.h.

## Constructor & Destructor Documentation

## PluginModel()

BALL::VIEW::PluginModel::PluginModel | ( | QObject * | parent = 0 | ) |

explicit

## Member Function Documentation

## data()

QVariant BALL::VIEW::PluginModel::data | ( | const QModelIndex & | i,
|  | int | role ) const

## pluginsLoaded()

void BALL::VIEW::PluginModel::pluginsLoaded | ( |  | ) |

## rowCount()

int BALL::VIEW::PluginModel::rowCount | ( | const QModelIndex & | = QModelIndex() | ) | const